Groovy 1.7.0

## org.codehaus.groovy.antlr
Class AntlrParserPlugin.AnonymousInnerClassCarrier

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.antlr.AntlrParserPlugin.AnonymousInnerClassCarrier

    class AntlrParserPlugin.AnonymousInnerClassCarrier
    extends Expression

Field Summary
`ClassNode` | `innerClass`

Constructor Summary
`AntlrParserPlugin.AnonymousInnerClassCarrier()`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### innerClass

    ClassNode innerClass

Constructor Detail

### AntlrParserPlugin.AnonymousInnerClassCarrier

    AntlrParserPlugin.AnonymousInnerClassCarrier()

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Copyright © 2003-2009 The Codehaus. All rights reserved.